apiVersion: v1
kind: Namespace
metadata:
  labels:
    applicationid: null
    environment: null
    organization: null
    owner: null
    rechargeref: null
  name: brown-dev-001-lakefs
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: default-editor-lakefs
  namespace: brown-dev-001-lakefs
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: lakefs-role
  namespace: brown-dev-001-lakefs
rules:
- apiGroups:
  - ""
  resources:
  - pods
  verbs:
  - get
  - list
  - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: read-pods
  namespace: brown-dev-001-lakefs
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: lakefs-role
subjects:
- kind: ServiceAccount
  name: default-editor-lakefs
  namespace: brown-dev-001-lakefs
---
apiVersion: v1
data:
  config.yaml: |
    database:
      type: postgres
    blockstore:
      type: s3
      s3:
       region: eu-west-1
kind: ConfigMap
metadata:
  name: lakefs
  namespace: brown-dev-001-lakefs
---
apiVersion: v1
kind: Secret
metadata:
  annotations:
    avp.kubernetes.io/path: aiops/data/dev/lakefs/brown-dev-001
  name: lakefs
  namespace: brown-dev-001-lakefs
stringData:
  auth-encrypt-secret-key: <auth-encrypt-secret-key>
  database-connection-string: <database-connection-string>
type: Opaque
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: lakefs
    app.kubernetes.io/instance: lakefs
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: lakefs
    app.kubernetes.io/version: 1.20.0
    helm.sh/chart: lakefs-1.2.12
  name: lakefs
  namespace: brown-dev-001-lakefs
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: http
  selector:
    app: lakefs
    app.kubernetes.io/instance: lakefs
    app.kubernetes.io/name: lakefs
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: lakefs
    app.kubernetes.io/instance: lakefs
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: lakefs
    app.kubernetes.io/version: 1.20.0
    helm.sh/chart: lakefs-1.2.12
  name: lakefs
  namespace: brown-dev-001-lakefs
spec:
  replicas: 1
  selector:
    matchLabels:
      app: lakefs
      app.kubernetes.io/instance: lakefs
      app.kubernetes.io/name: lakefs
  template:
    metadata:
      annotations:
        checksum/config: f9ba0441163379c3f439d4038ae7af57aa5b0f848ef1945f549fa76be5a2bcf1
      labels:
        app: lakefs
        app.kubernetes.io/instance: lakefs
        app.kubernetes.io/name: lakefs
    spec:
      containers:
      - args:
        - run
        - --config
        - /etc/lakefs/config.yaml
        env:
        - name: LAKEFS_DATABASE_POSTGRES_CONNECTION_STRING
          valueFrom:
            secretKeyRef:
              key: database-connection-string
              name: lakefs
        - name: LAKEFS_AUTH_ENCRYPT_SECRET_KEY
          valueFrom:
            secretKeyRef:
              key: auth-encrypt-secret-key
              name: lakefs
        - name: BLOCKSTORE_S3_CREDENTIALS_ACCESS_KEY_ID
          valueFrom:
            secretKeyRef:
              key: accesskey
              name: mlpipeline-minio-artifact
        - name: BLOCKSTORE_S3_CREDENTIALS_SECRET_ACCESS_KEY
          valueFrom:
            secretKeyRef:
              key: secretkey
              name: mlpipeline-minio-artifact
        - name: BLOCKSTORE_S3_REGION
          value: eu-west-1
        - name: BLOCKSTORE_S3_ENDPOINT
          value: https://s3.eu-west-1.amazonaws.com
        - name: http_proxy
          value: http://local.domain.net:9480
        - name: https_proxy
          value: http://local.domain.net:9480
        - name: no_proxy
          value: 10.0.0.0/8,172.29.0.0/8,domain.net
        image: harbor.csis.domain.net/treeverse/lakefs:1.13.0
        imagePullPolicy: IfNotPresent
        livenessProbe:
          failureThreshold: 3
          httpGet:
            path: /_health
            port: http
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: lakefs
        ports:
        - containerPort: 8000
          name: http
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          httpGet:
            path: /_health
            port: http
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        securityContext: null
        volumeMounts:
        - mountPath: /etc/lakefs
          name: config-volume
      securityContext: null
      serviceAccountName: default-editor-lakefs
      volumes:
      - configMap:
          items:
          - key: config.yaml
            path: config.yaml
          name: lakefs
        name: config-volume
---
